メインコンテンツへスキップ
GET
/
monitor
/
{monitorId}
モニターを取得
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.firecrawl.dev/v2/monitor/{monitorId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimatedCreditsPerMonth": 123,
    "goal": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "judgeEnabled": true,
    "lastCheckSummary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "nextRunAt": "2023-11-07T05:31:56Z",
    "notification": {
      "email": {
        "enabled": false,
        "includeDiffs": false,
        "recipients": [
          "jsmith@example.com"
        ]
      }
    },
    "retentionDays": 123,
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "targets": [
      {
        "type": "scrape",
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "actions": [
            {
              "milliseconds": 2,
              "type": "wait"
            }
          ],
          "blockAds": true,
          "excludeTags": [
            "<string>"
          ],
          "formats": [
            "markdown"
          ],
          "headers": {},
          "includeTags": [
            "<string>"
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "lockdown": false,
          "maxAge": 172800000,
          "minAge": 123,
          "mobile": false,
          "onlyCleanContent": false,
          "onlyMainContent": true,
          "parsers": [
            "pdf"
          ],
          "profile": {
            "name": "<string>",
            "saveChanges": true
          },
          "proxy": "auto",
          "redactPII": false,
          "removeBase64Images": true,
          "skipTlsVerification": true,
          "storeInCache": true,
          "threatProtection": {
            "blacklist": [
              "<string>"
            ],
            "blockedTlds": [
              "<string>"
            ],
            "riskScoreThreshold": 75,
            "whitelist": [
              "<string>"
            ]
          },
          "timeout": 60000,
          "waitFor": 0
        }
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhook": {
      "url": "<string>",
      "events": [],
      "headers": {},
      "metadata": {}
    }
  },
  "success": true
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

monitorId
string<uuid>
必須

モニターID

レスポンス

モニターの詳細

data
object
success
boolean